<!-- Based on fast/repaint/align-self-change-no-flex.html -->
<!DOCTYPE HTML>
<script src="resources/paint-invalidation-test.js"></script>
<script>
window.expectedPaintInvalidationObjects = [
];
function paintInvalidationTest() {
  document.getElementsByClassName('item')[0].style.alignSelf = 'stretch';
  document.getElementsByClassName('item')[1].style.alignSelf = 'stretch';
}
onload = runPaintInvalidationTest;
</script>
<style>
.container {
  width: 200px;
  height: 300px;
  background-color: blue;
}
.item {
  background-color: green;
  border: solid thin blue;
}
</style>
There should be no invalidations when align-self changes on a non-flex container.
<div id="container">
  <div class="item">
    <div style="height: 100px"></div>
  </div>
  <div class="item">
    <div style="height: 150px"></div>
  </div>
</div>
